Zernio
Zernio
API Reference

Broadcasts

List broadcast recipientsGETList broadcastsGETCreate broadcast draftPOSTGet broadcast detailsGETUpdate broadcastPATCHDelete broadcastDELETEAdd recipients to a broadcastPOSTCancel broadcastPOSTSchedule broadcast for laterPOSTSend broadcast nowPOST
Dashboard
llms.txtOpenAPI
OverviewPlatformsAPI ReferenceResources
Broadcasts

List broadcasts

Returns broadcasts with delivery stats. Filter by status, platform, or profile.


GET
/v1/broadcasts

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Query Parameters

profileId?string

Filter by profile. Omit to list across all profiles

status?string

Value in

  • "draft"
  • "scheduled"
  • "sending"
  • "completed"
  • "failed"
  • "cancelled"
platform?string
limit?integer
Default50
skip?integer
Default0

Response Body

application/json

application/json

{  "success": true,  "broadcasts": [    {      "id": "string",      "name": "string",      "description": "string",      "platform": "string",      "accountId": "string",      "accountName": "string",      "status": "draft",      "messagePreview": "string",      "scheduledAt": "2019-08-24T14:15:22Z",      "startedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "recipientCount": 0,      "sentCount": 0,      "deliveredCount": 0,      "readCount": 0,      "failedCount": 0,      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "total": 0,    "limit": 0,    "skip": 0,    "hasMore": true  }}
Was this page helpful?

List broadcast recipients

Returns recipients for a broadcast with individual delivery status. Filter by status.

Create broadcast draft

Create a broadcast in draft status. Add recipients and then send or schedule it.